> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user.

> Update user.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /users/{userId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /users/{userId}:
    put:
      tags:
        - User
      summary: Update user.
      description: Update user.
      operationId: Update
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserDto'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  schemas:
    UpdateUserDto:
      properties:
        firstName:
          type: string
        lastName:
          type: string
        userRole:
          type: string
        knewGleapFrom:
          type: string
        userUsage:
          type: string
        profileImageUrl:
          type: string
        completedOnboarding:
          type: boolean
        oldpassword:
          type: string
        available:
          type: boolean
        unavailableProjects:
          items:
            type: string
          type: array
        notificationPreferences: {}
        notificationSettings: {}
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````